# Uses of Enum Class
org.bukkit.map.MapView.Scale

Packages that use MapView.Scale
Package
Description
org.bukkit.map
Classes to facilitate plugin handling of `map` displays.

## Uses of MapView.Scale in org.bukkit.map

Methods in org.bukkit.map that return MapView.Scale
Modifier and Type
Method
Description
`@NotNull MapView.Scale`
MapView.`getScale()`
Get the scale of this map.
`static @Nullable MapView.Scale`
MapView.Scale.`valueOf(byte value)`
Deprecated.
Magic value
`static MapView.Scale`
MapView.Scale.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MapView.Scale[]`
MapView.Scale.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.map with parameters of type MapView.Scale
Modifier and Type
Method
Description
`void`
MapView.`setScale(@NotNull MapView.Scale scale)`
Set the scale of this map.